Macaulay2 » Documentation
Packages » ReflexivePolytopesDB :: onlineTests
next | previous | forward | backward | up | index | toc

# onlineTests -- run a few tests which test access to the Kreuzer-Skarke database

- Usage:
    `onlineTests()`
- Consequences:
  - Several web access (to Kreuzer-Skarke database) tests are run. Errors are generated if a problem is detected.

## Description

The following call, if it runs to completion, indicates that the connection to the Kreuzer-Skarke web server is functional.

    onlineTests()

## See also

- kreuzerSkarke -- access Kreuzer-Skarke dimension 4 reflexive polytopes database
- generateOffline -- generate tables of reflexive 4d polytopes from the Kreuzer-Skarke list
- availableOffline -- which Kreuzer-Skarke items are available offline

## For the programmer

The object onlineTests is a function closure.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/ReflexivePolytopesDB.m2:984:0.